OleAuto.DISPPARAMS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OleAuto, class: DISPPARAMS

Package com.sun.jna.platform.win32

# Class OleAuto.DISPPARAMS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OleAuto.DISPPARAMS

Direct Known Subclasses:
  `OleAuto.DISPPARAMS.ByReference`

Enclosing interface:
  OleAuto

@FieldOrder({"rgvarg","rgdispidNamedArgs","cArgs","cNamedArgs"}) public static class OleAuto.DISPPARAMS extends Structure
The Class DISPPARAMS.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OleAuto.DISPPARAMS.ByReference`
  The Class ByReference.

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.UINT`
  `cArgs`
  The c args.
  `WinDef.UINT`
  `cNamedArgs`
  The c named args.
  `Pointer`
  `rgdispidNamedArgs`
  The rgdispid named args.
  `Variant.VariantArg.ByReference`
  `rgvarg`
  The rgvarg.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DISPPARAMS()`
  Instantiates a new dispparams.
  `DISPPARAMS(Pointer memory)`
  Instantiates a new dispparams.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Variant.VARIANT[]`
  `getArgs()`
  `OaIdl.DISPID[]`
  `getRgdispidNamedArgs()`
  `void`
  `setArgs(Variant.VARIANT[] arguments)`
  `void`
  `setRgdispidNamedArgs(OaIdl.DISPID[] namedArgs)`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### rgvarg

    public Variant.VariantArg.ByReference rgvarg
    The rgvarg.

  - ### rgdispidNamedArgs

    public Pointer rgdispidNamedArgs
    The rgdispid named args.

  - ### cArgs

    public WinDef.UINT cArgs
    The c args. - use setArgs to update arguments

  - ### cNamedArgs

    public WinDef.UINT cNamedArgs
    The c named args. - use setRgdispidNamedArgs to update named arguments map

- ## Constructor Details

  - ### DISPPARAMS

    public DISPPARAMS()
    Instantiates a new dispparams.

  - ### DISPPARAMS

    public DISPPARAMS(Pointer memory)
    Instantiates a new dispparams.
    Parameters:
      `memory` - the memory

- ## Method Details

  - ### getRgdispidNamedArgs

    public OaIdl.DISPID[] getRgdispidNamedArgs()

  - ### setRgdispidNamedArgs

    public void setRgdispidNamedArgs(OaIdl.DISPID[] namedArgs)

  - ### getArgs

    public Variant.VARIANT[] getArgs()

  - ### setArgs

    public void setArgs(Variant.VARIANT[] arguments)